﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2014: (1 year) VER IEEE /5800A+5Ch
DATE:                  2010-08-15 07:20:09
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       247
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
# 
#  Models covered:
#        TDS 2014
# 
#  Source(s):
#        TDS1000 and TDS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1076-02
# 
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000/2000 Specifications
#        Sub Tek TDS1000/2000 Setup IEEE
#        Sub Tek TDS1000/2000 Self-Test IEEE
#        Sub Tek TDS1000/2000 Sig Path Comp Cal IEEE
#        Sub Tek TDS1000/2000 Select Channel IEEE
#        Sub Tek TDS1000/2000 Trigger Chk and Level Adj IEEE
#        Sub Tek TDS1000/2000 (1 yr) DCV Meas IEEE /5800
#        Sub Tek TDS1000/2000 (1 yr) Bandwidth IEEE /5800
#        Sub Tek TDS1000/2000 (1 yr) Trig Sens IEEE /5800
#        Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /5800
#        Sub Tek TDS1000/2000 (1 yr) Sample Rate IEEE /5800
#        Sub Tek TDS1000/2000 VER Required Equipment /5800
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000/2000 VER Required Equipment /5800"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  18 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C5
  1.003  5800         500MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  IF           NOT(VERSIONCHECK("7.20Z"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright
  1.011  CALL         Sub High Voltage Safety Warning

  1.012  HEAD         PRELIMINARY INSTRUCTIONS
  1.013  CALL         Sub Select Failed Test Mode
  1.014  CALL         Sub Select Verification Method (No NTHROW)

  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         10 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  HEAD         COMMUNICATION SETUP
  1.017  TARGET
  1.018  CALL         Sub Tek TDS1000/2000 Setup IEEE
  1.019  IEEE2        *RST

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.022  MATH         @UUT_Model = "TDS 2014"
  1.023  MATH         @UUT_Manufacturer = "Tektronix"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.025  JMPL         END                          @Abort

  1.026  CALL         Sub Tek TDS1000/2000 Specifications

# Specify whether the calibrator have multi channels during test in order
# to decide proper connection instruction be taken in the sub procedures.
  1.027  MATH         @SourceMultiCh = 1

  1.028  HEAD         EQUIPMENT REQUIREMENTS
  1.029  OPBR         -z Do you want to REVIEW the list of additional
  1.029  OPBR         equipment and/or accessories required?

  1.030  IF           MEM1
  1.031  CALL         Sub Tek TDS1000/2000 VER Required Equipment /5800
  1.032  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#    6.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#    7.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    8.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#    9.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   10.   BANDWIDTH(CH4)                     BANDWIDTH(CH4)
#   11.   EDGE-TRIGGER SENSITIVITY(CH1)      EDGE-TRIGGER SENSITIVITY(CH1)
#   12.   EDGE-TRIGGER SENSITIVITY(CH2)      EDGE-TRIGGER SENSITIVITY(CH2)
#   13.   EDGE-TRIGGER SENSITIVITY(CH3)      EDGE-TRIGGER SENSITIVITY(CH3)
#   14.   EDGE-TRIGGER SENSITIVITY(CH4)      EDGE-TRIGGER SENSITIVITY(CH4)
#   15.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  SAMPLE RATE AND DELAY TIME ACC
#   16.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   17.   EXT EDGE-TRIGGER SENSITIVITY(CH3)  EXT EDGE-TRIGGER SENSITIVITY(CH2)
#   18.   EXT EDGE-TRIGGER SENSITIVITY(CH4)  EXT EDGE-TRIGGER SENSITIVITY(CH3)
#   19.   SAMPLE RATE AND DELAY TIME ACC     EXT EDGE-TRIGGER SENSITIVITY(CH4)

  1.033  CALL         Sub Tek TDS1000/2000 Self-Test IEEE
  1.034  JMPL         END                          @Abort
  1.035  CALL         Sub Tek TDS1000/2000 Sig Path Comp Cal IEEE
  1.036  JMPL         END                          @Abort

  1.037  MATH         @Chan = 1
  1.038  M5800                                                    C1
  1.039  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /5800

  1.040  MATH         @Chan = 2
  1.041  M5800                                                    C2
  1.042  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /5800

  1.043  MATH         @Chan = 3
  1.044  M5800                                                    C3
  1.045  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /5800

  1.046  MATH         @Chan = 4
  1.047  M5800                                                    C4
  1.048  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /5800

  1.049  MATH         @Chan = 1
  1.050  M5800                                                    C1
  1.051  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /5800

  1.052  MATH         @Chan = 2
  1.053  M5800                                                    C2
  1.054  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /5800

  1.055  MATH         @Chan = 3
  1.056  M5800                                                    C3
  1.057  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /5800

  1.058  MATH         @Chan = 4
  1.059  M5800                                                    C4
  1.060  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /5800

  1.061  MATH         @Chan = 1
  1.062  M5800                                                    C1
  1.063  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /5800

  1.064  MATH         @Chan = 2
  1.065  M5800                                                    C2
  1.066  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /5800

  1.067  MATH         @Chan = 3
  1.068  M5800                                                    C3
  1.069  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /5800

  1.070  MATH         @Chan = 4
  1.071  M5800                                                    C4
  1.072  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /5800
  1.073  JMPL         SAMPLE_RATE_DELAY_TIME

  1.074  LABEL        EXT_TRIG_CH1
  1.075  MATH         @Chan = 1
  1.076  M5800                                                    C1
  1.077  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /5800

  1.078  MATH         @Chan = 2
  1.079  M5800                                                    C1
  1.080  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /5800

  1.081  MATH         @Chan = 3
  1.082  M5800                                                    C1
  1.083  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /5800

  1.084  MATH         @Chan = 4
  1.085  M5800                                                    C1
  1.086  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /5800
  1.087  JMPL         END

  1.088  LABEL        SAMPLE_RATE_DELAY_TIME
  1.089  MATH         @Chan = 1
  1.090  M5800                                                    C1
  1.091  CALL         Sub Tek TDS1000/2000 (1 yr) Sample Rate IEEE /5800
  1.092  JMPL         EXT_TRIG_CH1

  1.093  LABEL        END

  1.094  IF           @Abort
  1.095  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.096  ELSE
  1.097  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.098  ENDIF

  1.099  IEEE2        *RST
  1.100  END

